# Period and Data Interval
Period and data interval terms are essential when specifying the temporal range of data for utilization.
The available types for both period and data interval include: **D** for calendar day, **W** for calendar week, **M** for calendar month, and **Y** for calendar year.
</br>

## Difference between data interval and period
Understanding the difference between **data interval** and **period** is crucial, as they are related but distinct concepts. The data interval encompasses not only the duration over which data is processed but also the initial frequency of the data prior to any processing. In contrast, the period refers strictly to the span of time over which data is processed, and does not account for the underlying frequency of the data before processing.

Consider data intervals like **`12M`** (12 months) or **`365D`** (365 days), which both represent approximately a one-year span. The critical distinction lies in the processing of data within these intervals.
For instance, in a risk model, a **`12M`** data interval would entail resampling the data to a monthly frequency (M) before analyzing it over the course of a year. This typically results in about 12 data points, giving the risk model a monthly resolution. Conversely, a **`365D`** interval involves working with daily frequency data, leading to a daily resolution in the risk model.

When it comes to the period, in this example, **`12M`**, **`1Y`**, and **`365D`** (in a non-leap year) are essentially equivalent in terms of the data span. The period defines the duration of data under consideration, without delving into the frequency of the data before analysis.
</br>

## Difference between data interval/period and frequency
Data frequency pertains to how often data is processed or updated.

For example, in a monthly risk model, the frequency is monthly, meaning the model undergoes updates or generation every month. This frequency indicates the regularity of the data processing but does not define the scope of the data used in each update.

On the other hand, the data interval or period determines the span of data being processed. It sets the timeframe for the data considered in each instance of model generation. This period could vary greatly; it might be as brief as 60 days for a short-term focused risk model or could extend to a longer duration, such as 5 years. This longer period would result in a risk model that integrates a wider historical data range.

