# Currency
In the realm of financial data, specifying the currency is crucial for accurate interpretation and analysis. The currency attribute in this documentation pertains to the type of currency used in various financial transactions and reporting. Users can input currency information in several ways, as detailed below:
</br>

## ISO 4217 Currency Codes
ISO 4217 codes are standardized three-letter alphabetic codes used to denote currencies around the world. These codes are established by the International Organization for Standardization (ISO) to facilitate the uniform identification of currencies. Here are some examples:

**USD** - United States Dollar: The currency of the United States.
**EUR** - Euro: The official currency of the Eurozone, which includes 19 of the 27 European Union (EU) member states.
**JPY** - Japanese Yen: The currency of Japan.

Each code consists of three letters, where the first two letters represent the country and the third letter typically stands for the name of the currency. For example, "USD" stands for United States Dollar. These codes are widely used in banking and business globally.
</br>

## Trade Currency
The "trade" currency refers to the currency in which a security is traded. This can vary depending on the stock exchange where the security is listed. A single company's security might be traded in multiple currencies, reflecting its presence on different exchanges.
</br>

## Report Currency
The "report" currency signifies the currency used by a company to report its financial statements. At any given time, a company will have only one report currency, though this can change over different periods. In cases where a company publishes financial reports in multiple countries, the report currency is determined based on the country designation in the country attribute.



